{% extends 'base.html.twig' %}

{% block title %}QuoteGeneration index{% endblock %}

{% block body %}
    <div class="card">
        <div class="card-header"><h1 class="card-title">Liste des devis générés</h1></div>
        <div class="card-body">
            <table class="table">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Client</th>
                    {% if is_granted('ROLE_ADMIN') %}
                    <th>Fournisseur</th>
                    {% endif %}
                    <th>Date de création</th>
                    <th>Montant</th>
                    <th>Achat demandé</th>
                    <th>Actions</th>
                </tr>
                </thead>
                <tbody>
                {% for quote_generation in quote_generations %}
                    <tr>
                        <td>{{ quote_generation.id }}</td>
                        <td>{{ quote_generation.client }}</td>
                        {% if is_granted('ROLE_ADMIN') %}
                            <td>{{ quote_generation.provider }}</td>
                        {% endif %}
                        <td>{{ quote_generation.createdAt ? quote_generation.createdAt|date('d/m/Y') : '' }}</td>
                        <td>{{ quote_generation.amount }} TND</td>
                        <td>
                            {% if quote_generation.isOrdered %}
                                <span class="badge badge-success">&nbsp; Oui &nbsp;</span>
                            {% else %}
                                <span class="badge badge-info">&nbsp; Non &nbsp;</span>
                            {% endif %}
                        </td>
                        <td>
                            <a class="btn btn-sm btn-primary" href="{{ path('dashboard_quote_generation_show', {'id': quote_generation.id}) }}"><i class="fa fa-eye"></i></a>
                            <a class="btn btn-sm btn-success" href="{{ path('dashboard_quote_generation_edit', {'id': quote_generation.id}) }}"><i class="fa fa-edit"></i> modifier</a>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="5">no records found</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div class="navigation">
                {{ knp_pagination_render(quote_generations) }}
            </div>
        </div>
    </div>
{% endblock %}
